VRECollectionBean (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.shared

## Class VRECollectionBean

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - org.gcube.portlets.admin.vredefinition.shared.VRECollectionBean

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class VRECollectionBean
      extends com.extjs.gxt.ui.client.data.BaseModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VRECollectionBean()`
    `VRECollectionBean(String id, String name, String description, int numberOfMembers, Date creationTime, Date lastUpdateTime, boolean isSelected)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getCreationTime()`
    `String` | `getDescription()`
    `String` | `getId()`
    `Date` | `getLastUpdateTime()`
    `String` | `getName()`
    `int` | `getNumberOfMembers()`
    `boolean` | `isSelected()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames`

- - ### Constructor Detail

    - #### VRECollectionBean

          public VRECollectionBean()

    - #### VRECollectionBean

          public VRECollectionBean(String id,
                           String name,
                           String description,
                           int numberOfMembers,
                           Date creationTime,
                           Date lastUpdateTime,
                           boolean isSelected)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### getNumberOfMembers

          public int getNumberOfMembers()

    - #### getCreationTime

          public Date getCreationTime()

    - #### getLastUpdateTime

          public Date getLastUpdateTime()

    - #### isSelected

          public boolean isSelected()

Copyright © 2016. All Rights Reserved.